# ``twisted`.`mail`.`interfaces`.`ICloseableMailboxIMAP``

interface documentation

`class ICloseableMailboxIMAP(Interface): (source)`

View In Hierarchy

A supplementary interface for mailboxes which require cleanup on close.

Implementing this interface is optional. If it is implemented, the protocol code will call the close method defined whenever a mailbox is closed.

Method | `close` | Close this mailbox.

def close(): (source)
Close this mailbox.

Returns
A `Deferred` which fires when this mailbox has been closed, or None if the mailbox can be closed immediately.